SOGo | BTS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004425SOGoApple Calendar (Mac OS X)public2018-03-15 09:162018-04-12 11:16
Reportersascha.kasch@sumcumo.com 
Assigned Toludovic 
PriorityhighSeverityminorReproducibilityalways
StatusclosedResolutionsuspended 
PlatformClientOSApple OS X OS Version10.13
Product Version4.0.0 
Target VersionFixed in Version 
Summary0004425: Apple Calendar does not parse responses to an invitation
DescriptionWe do not get responses from invitations via calendar on SOGo
Steps To ReproduceCreate CalDAV Account in 10.13 and point to SOGo Server. Create an event and invite external User (in this case we invited a google user).
The invitation is sent and accepted on google. We get a mail with correct answer from google but the atendee-status does not change.
This works with a local and a icloud calender without problems
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to 0004447new Feature to prevent ID 4425 

-  Notes
User avatar (0012724)
ludovic (administrator)
2018-03-16 09:18

When you receive the response back from Google in your test, the event status won't get automatically updated.

Are you able, from SOGo's webmail interface, to read that mail and update the participant status?
(0012725)
sascha.kasch@sumcumo.com (reporter)
2018-03-16 09:19

yes, also from thunderbird with plugin.
and yes the status should be parsed when receiving the response, which works with a local calender
User avatar (0012726)
ludovic (administrator)
2018-03-16 09:21

So there's no SOGo bug.

SOGo *cannot parse* automagically the received email - it doesn't have user's passwords to read their emails.
(0012727)
sascha.kasch@sumcumo.com (reporter)
2018-03-16 09:27

i do understand that sogo cannot parse it *automagically*.

current setup is: apple calender with sogo-account, apple mail configured.
when sending an invitation from apple calender and getting back the response in apple mail, we click on that mail and have .ics attachments.
even explicitly clicking on that attachment, it does not update attendee status (but calender acknowledges the event by popping up the same event)
User avatar (0012728)
ludovic (administrator)
2018-03-16 09:29

SOGo cannot do anything about this.
(0012729)
sascha.kasch@sumcumo.com (reporter)
2018-03-16 09:33

i will do more tests with other DAV-servers. i then guess apple's implementation is the culprit here.
thank you
(0012763)
sascha.kasch@sumcumo.com (reporter)
2018-03-16 15:22

sorry for reopen but i thought on your words
"SOGo *cannot parse* automagically the received email - it doesn't have user's passwords to read their emails."

and it left me puzzled:
i assumed that the whole purpose of the middleware SOGo is to be a proxy for mail and a store for calendar
as well as addressdata. Every account there is, has an IMAP account attached to get invitations from
external users and has a globally configured SMTP to send invitations.
On every receipt of a mail, the content is parsed (my assumption) at least by SOGo and Thunderbird with Plugins.
In Case of a match in terms of event-IDs or some other matching parameter, the event gets updates!?
is that wrong?

then how is parsing of calendar-data done when not via mail with ics-attachment?
User avatar (0012788)
Christian Mack (developer)
2018-03-19 10:01

SOGo is no email proxy.
To be a proxy would mean, that every email of all users in SOGo would pass through SOGo.
That is not the case.
SOGo is an email frontend, which means, it only has access to the users emails per IMAP, as long as the user is logged into the webfrontend of SOGo.

It parses an email the moment you open it for reading in the webfrontend.
Only then it can see, that this specific email is an event reply.
And only then it can update your event.
(0012789)
sascha.kasch@sumcumo.com (reporter)
2018-03-19 10:15

i see. thanks!

- Issue History
Date Modified Username Field Change
2018-03-15 09:16 sascha.kasch@sumcumo.com New Issue
2018-03-16 09:17 ludovic Severity block => minor
2018-03-16 09:18 ludovic Note Added: 0012724
2018-03-16 09:19 sascha.kasch@sumcumo.com Note Added: 0012725
2018-03-16 09:21 ludovic Note Added: 0012726
2018-03-16 09:27 sascha.kasch@sumcumo.com Note Added: 0012727
2018-03-16 09:29 ludovic Note Added: 0012728
2018-03-16 09:33 sascha.kasch@sumcumo.com Note Added: 0012729
2018-03-16 09:35 ludovic Status new => closed
2018-03-16 09:35 ludovic Assigned To => ludovic
2018-03-16 09:35 ludovic Resolution open => no change required
2018-03-16 15:22 sascha.kasch@sumcumo.com Note Added: 0012763
2018-03-16 15:22 sascha.kasch@sumcumo.com Status closed => feedback
2018-03-16 15:22 sascha.kasch@sumcumo.com Resolution no change required => reopened
2018-03-19 10:01 Christian Mack Note Added: 0012788
2018-03-19 10:15 sascha.kasch@sumcumo.com Note Added: 0012789
2018-03-19 10:15 sascha.kasch@sumcumo.com Status feedback => assigned
2018-03-22 16:13 ludovic Status assigned => closed
2018-03-22 16:13 ludovic Resolution reopened => suspended
2018-04-12 11:16 francis Relationship added related to 0004447


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker